xn::ModuleHandsGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleHandsGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleHandsGenerator ()
virtual const void * | GetData ()
virtual XnStatus | RegisterHandCallbacks (XnModuleHandCreate CreateCB, XnModuleHandUpdate UpdateCB, XnModuleHandDestroy DestroyCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterHandCallbacks (XnCallbackHandle hCallback)=0
virtual XnStatus | StopTracking (XnUserID user)=0
virtual XnStatus | StopTrackingAll ()=0
virtual XnStatus | StartTracking (const XnPoint3D &ptPosition)=0
virtual XnStatus | SetSmoothing (XnFloat fSmoothingFactor)=0
virtual ModuleHandTouchingFOVEdgeInterface * | GetHandTouchingFOVEdgeInterface ()
Public Member Functions inherited from xn::ModuleGenerator
virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleHandsGenerator()

virtual xn::ModuleHandsGenerator::~ModuleHandsGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## GetData()

virtual const void * xn::ModuleHandsGenerator::GetData | ( |  | ) |

inline virtual

Implements xn::ModuleGenerator.

## GetHandTouchingFOVEdgeInterface()

virtual ModuleHandTouchingFOVEdgeInterface * xn::ModuleHandsGenerator::GetHandTouchingFOVEdgeInterface | ( |  | ) |

inline virtual

## RegisterHandCallbacks()

virtual XnStatus xn::ModuleHandsGenerator::RegisterHandCallbacks | ( | XnModuleHandCreate | CreateCB,
|  | XnModuleHandUpdate | UpdateCB,
|  | XnModuleHandDestroy | DestroyCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetSmoothing()

virtual XnStatus xn::ModuleHandsGenerator::SetSmoothing | ( | XnFloat | fSmoothingFactor | ) |

pure virtual

## StartTracking()

virtual XnStatus xn::ModuleHandsGenerator::StartTracking | ( | const XnPoint3D & | ptPosition | ) |

pure virtual

## StopTracking()

virtual XnStatus xn::ModuleHandsGenerator::StopTracking | ( | XnUserID | user | ) |

pure virtual

## StopTrackingAll()

virtual XnStatus xn::ModuleHandsGenerator::StopTrackingAll | ( |  | ) |

pure virtual

## UnregisterHandCallbacks()

virtual void xn::ModuleHandsGenerator::UnregisterHandCallbacks | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h